<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/datepicker/WdatePicker.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    //编辑
    function edit(id) {
        var params = $('#searchForm').serialize();
        window.location.href = '/car/edit?id=' + id + '&back_params=' + encodeURIComponent(params);
    }
    //删除
    function del(id) {
        if(confirm('是否确认删除?')) {
            $.post('/car/delete',{id:id},function(obj){
                alert(obj.msg);
                if(obj.success) {
                    window.location.reload();
                }
            },'json');
        }
    }

    $(function(){
        $("#search-btn").click(function(){
            $('#page').val(0);
            var params = $('#searchForm').serialize();
            window.location.href = "/database/mistake-index?" + params;
        });
        $('#move-btn').click(function(){
            if(confirm('是否确认恢复操作?')) {
                var params = $('#listFrm').serialize();
                $.post('/database/invalid-a',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#all-move-btn').click(function(){
            if(confirm('是否确认恢复操作?')) {
                var params = $('#searchForm').serialize();
                $.post('/database/invalid-all-a',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#all').click(function(){
            if($(this).prop('checked')==true) {
                $('input:checkbox').each(function() {
                    $(this).prop('checked', true);
                });
            } else {
                $('input:checkbox').each(function () {
                    $(this).prop('checked',false);
                });
            }
        });
        //导出
        $("#output-btn").click(function(){
            $('#page').val(0);
            var params = $('#searchForm').serialize();
            window.location.href = "/database/mistake-output?" + params;
        });
    });
</script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <input type="hidden" id="page" name="page" value="<?=$page?>">
        <tr>
            <td class="td_bg">
                车牌：<input name="car_no" type="text" value="<?=$car_no?>" style="width:100px;">
                车主：<input name="car_man" type="text" value="<?=$car_man?>" style="width:100px;">
                联系电话：<input name="phone" type="text" value="<?=$phone?>" style="width:100px;">
                初登日期：从<input class="act_date" name="register_begin" type="text" value="<?=$register_begin?>" onclick="WdatePicker()">至<input class="act_date" name="register_end" type="text" value="<?=$register_end?>" onclick="WdatePicker()">截止

            </td>
        </tr>
        <tr>
            <td class="td_bg">
                保险日期：从<input class="act_date" name="insurer1_begin" type="text" value="<?=$insurer1_begin?>" onclick="WdatePicker()">至<input class="act_date" name="insurer1_end" type="text" value="<?=$insurer1_end?>" onclick="WdatePicker()">截止
<!--                保险日期：-->
<!--                <input name="insurer1_month" class="day_date"  type="text" value="--><?//=$insurer1_month?><!--" style="width:30px;" placeholder="月份">月-->
<!--                <input name="insurer1_day" class="day_date"  type="text" value="--><?//=$insurer1_day?><!--" style="width:30px;" placeholder="天数">日-->
<!--                至-->
<!--                <input name="insurer1_month1" class="day_date"  type="text" value="--><?//=$insurer1_month1?><!--" style="width:30px;" placeholder="月份">月-->
<!--                <input name="insurer1_day1" class="day_date"  type="text" value="--><?//=$insurer1_day1?><!--" style="width:30px;" placeholder="天数">日-->
                无效理由：<select name="invalid_id">
                    <option value="0">全部</option>
                    <?php
                    foreach($invalid_items as $item) {
                        echo '<option value="'.$item->id.'"';
                        if($invalid_id == $item->id)
                            echo ' selected ';
                        echo '>'.$item->name.'</option>';
                    }
                    ?>
                </select>
                操作者：<input name="username" type="text" value="<?=$username?>" style="width:100px;">
                排序：<select name="sort_key">
                    <option value="car_t.register_date" <?=$sort_key=='car_t.register_date'?'selected':''?>>初登日期</option>
                    <option value="car_invalid_t.created_at" <?=$sort_key=='car_invalid_t.created_at'?'selected':''?>>无效时间</option>
                </select>
                准确状态
                <select name="judge">
                    <option value="1" <?=$judge=='1'?'selected':''?>>原始不准确</option>
                    <option value="2" <?=$judge=='2'?'selected':''?>>找回不准确</option>
                </select>

                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索">
            </td>
        </tr>
        <tr>
            <td class="td_bg">
                <input type="button" class="act_btn" id="move-btn" name="move-btn" value="勾选恢复">
                <input type="button" class="act_btn" id="all-move-btn" name="all-move-btn" value="批量恢复">
                <input type="button" class="act_btn" id="output-btn" name="output-btn" value="导出">
            </td>
        </tr>
    </form>
</table>
<form id="listFrm">
    <table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
        <tr>
            <td align="center" width="24" align="center" class="bg_tr"><input type="checkbox" id="all"></td>
            <td width="78" align="center" align="center" class="bg_tr">车牌</td>
            <td width="78" align="center" align="center" class="bg_tr">车型</td>
            <td width="78" align="center" align="center" class="bg_tr">车主</td>
            <td width="78" align="center" align="center" class="bg_tr">联系电话</td>
            <td width="78" align="center" align="center" class="bg_tr">初登日期</td>
            <td width="78" align="center" align="center" class="bg_tr">保险日期</td>
            <td width="96" align="center" align="center" class="bg_tr">无效理由</td>
            <td width="96" align="center" align="center" class="bg_tr">无效时间</td>
            <td width="78" align="center" align="center" class="bg_tr">操作员</td>
        </tr>
        <?php
        foreach($items as $index => $item) {
                $fact=$item->car;
                $fac=$fact['factory_model'];
                $carms=$fact['car_man'];
                $phones=$fact['phone'];
                $regs=$fact['register_date'];
                $insurs=$fact['insurer1_date'];


            ?>
            <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
                <td align="center" class="td_bg"nowrap ><input type="checkbox" name="ids[]" value="<?=$item->id?>"></td>
                <td align="left" class="td_bg"nowrap ><?=$item->car?$item->car->car_no:''?></td>
                <td align="left" class="td_bg"nowrap ><?=MyLib::substr_cut($fac,20)?></td>
                <td align="left" class="td_bg"nowrap ><?=MyLib::substr_cut($carms,20)?></td>
                <td align="left" class="td_bg"nowrap ><?=$phones?></td>
                <td align="left" class="td_bg"nowrap ><?=$regs?></td>
                <td align="left" class="td_bg"nowrap ><?=$insurs?></td>
                <td align="left" class="td_bg"nowrap ><?=$item->invalid?$item->invalid->getPath():''?></td>
                <td align="left" class="td_bg"nowrap ><?=$item->created_at?></td>
                <td align="left" class="td_bg"nowrap ><?=$item->user?$item->user->getShowName():''?></td>
            </tr>
            <?php
        }
        ?>
        <tr >
            <td height="25" colspan="10" align="center" class="td_bg"><?=$page_info?></td>
        </tr>
    </table>
</form>